Blalock, Bill | 3 Mar 20:20 2009

RDi 7.5 Problem with parsing CMD members

Hi all:

This is for RDi 7.5.

I am having problems with LPEX when editing CMD members.

The editor treats the source member as being indefinitely long.  When a
line is changed what is back to the display is often over 80 characters.

When the member is saved back to QCMDSRC anything over column 80 is
lost.

Does anyone have any ideas?

QCMDSRC was created with CRTPFSRC with a length of 92.  It has 3 fields,
6, 6 and 80.  SEU is fine with it.

The parser associated with the type CMD is cl.

The only way I can use LPEX with a CMD member is to remove the parsing
definition so LPEX doesn't try to help me.

Any ideas?

Thanks

_____________

The information contained in this message is proprietary and/or confidential. If you are not the 
intended recipient, please: (i) delete the message and all copies; (ii) do not disclose, 
(Continue reading)

Vern Hamberg | 3 Mar 20:54 2009
Picon
Picon

Re: RDi 7.5 Problem with parsing CMD members

Bill

I'm not at 7.5. yet, so this might not apply - hope it does.

The editor should tell you, near the bottom, that lines have exceeded 
the source record length - do you see that? Also, have you turned off 
auto-formatting? Not sure if that will help to turn it on.

Now you can force the length you want by clicking in the command line 
area below the editor, or pressing Esc - then type

set save.textLimit 92

and press Enter - this forces an 80-character source data length.

HTH
Vern

Blalock, Bill wrote:
> Hi all:
>
>  
>
> This is for RDi 7.5.
>
>  
>
> I am having problems with LPEX when editing CMD members.
>
>  
(Continue reading)

Brian Johnson | 3 Mar 23:48 2009
Picon

Re: RDi 7.5 Problem with parsing CMD members

On Tue, Mar 3, 2009 at 1:20 PM, Blalock, Bill <Bill.Blalock@...> wrote:

>
> The editor treats the source member as being indefinitely long.  When a
> line is changed what is back to the display is often over 80 characters.
>
> When the member is saved back to QCMDSRC anything over column 80 is
> lost.
>
>
I find two places with line length specified in RDi 7.1.  Maybe these
settings are there in 7.5 too:

LPEX Editor -> Save

o Max line length (0=use system limit... I assume source file data length)

Remote Systems -> Remote Systems LPEX Editor -> i5/OS Parsers ->CL

o auto-format includes a line-length setting

-- 
Brian Johnson
brian.johnson.mn@...
--

-- 
This is the Websphere Development Studio Client for iSeries  (WDSCI-L) mailing list
To post a message email: WDSCI-L@...
To subscribe, unsubscribe, or change list options,
visit: http://lists.midrange.com/mailman/listinfo/wdsci-l
or email: WDSCI-L-request@...
(Continue reading)

Blalock, Bill | 4 Mar 16:08 2009

Re: RDi 7.5 Problem with parsing CMD members


Brian:

> Remote Systems -> Remote Systems LPEX Editor -> i5/OS Parsers ->CL
> o auto-format includes a line-length setting

Changing the line-length for *RLEN to 80 seems to have fixed the
problem.

Thanks!

Bill Blalock

-----Original Message-----
From: wdsci-l-bounces@... [mailto:wdsci-l-bounces@...]
On Behalf Of Brian Johnson
Sent: Tuesday, March 03, 2009 4:48 PM
To: Websphere Development Studio Client for iSeries
Subject: Re: [WDSCI-L] RDi 7.5 Problem with parsing CMD members

On Tue, Mar 3, 2009 at 1:20 PM, Blalock, Bill <Bill.Blalock@...>
wrote:

>
> The editor treats the source member as being indefinitely long.  When
a
> line is changed what is back to the display is often over 80
characters.
>
> When the member is saved back to QCMDSRC anything over column 80 is
(Continue reading)

Eric Simpson | 5 Mar 13:33 2009
Picon

WDSC/WDSC AE v7.0 Fix Pack 8 (7.0.0.8) is now available


Fix Pack 8 for WDSC/WDSC AE v7.0 is now available.  (There was no fix pack
7)

To install the fix pack, start the IBM Installation Manager and click on
'Update Packages'.

Fix packs are cumulative.

This fix pack includes enhancements and fixes for versions 7.0.0.7 and
7.0.0.8 of IBM® Rational® Application Developer for WebSphere® Software
components included in WDSC/WDSC AE as well as fixes to System i
functionality.

Link to the WDSC Release Notes:
http://download.boulder.ibm.com/ibmdl/pub/software/awdtools/wdsc/v7/7008/documents/readme/readme.html

Link to the WDSC AE Release Notes:
http://download.boulder.ibm.com/ibmdl/pub/software/awdtools/wdscae/v7/7008/documents/readme/readme.html

The fix pack is available as a downloadable zips.  The support site will be
updated shortly.

WDSC Downloadable zip:
http://download.boulder.ibm.com/ibmdl/pub/software/awdtools/wdsc/v7/7008/zips/

WDSC AE Downloadable zips:
http://download.boulder.ibm.com/ibmdl/pub/software/awdtools/wdscae/v7/7008/zips/

Eric Simpson
(Continue reading)

Michael Soucy | 5 Mar 04:01 2009
Picon

Fixing a corupted workspace in RDi 7.1

I have a small problem.  One of the workspaces I'm using in RDi 7.1 has been corrupted some how I think.  When I
open the workspace it opens, but then there is message at the bottom of the screen saying something to the
effect of that it is connecting to the server (i5), and starting the RSE communication daemon.  The task
never ends even when I click on the red box to stop the task.  RDi seems to be stuck in an endless loop for this
workspace.  How do I fix this?  I don't want to delete the workspace because I have several projects I'm
working on. 

- Michael Soucy
--

-- 
This is the Websphere Development Studio Client for iSeries  (WDSCI-L) mailing list
To post a message email: WDSCI-L@...
To subscribe, unsubscribe, or change list options,
visit: http://lists.midrange.com/mailman/listinfo/wdsci-l
or email: WDSCI-L-request@...
Before posting, please take a moment to review the archives
at http://archive.midrange.com/wdsci-l.

MKline | 5 Mar 16:43 2009

Re: WDSC/WDSC AE v7.0 Fix Pack 8 (7.0.0.8) is now available

Installed fix pack 8 and am getting the following when I try to open WDSC. 
  How can this be fixed?

!SESSION Thu Mar 05 10:38:50 EST 2009 
------------------------------------------
!ENTRY org.eclipse.core.launcher 4 0 2009-03-05 10:38:50.883
!MESSAGE Could not find extension: com.ibm.cds
!ENTRY org.eclipse.core.launcher 4 0 2009-03-05 10:38:50.899
!MESSAGE Exception launching the Eclipse Platform:
!STACK
java.io.IOException: Unable to initialize osgi.frameworkClassPath
        at org.eclipse.core.launcher.Main.addBaseJars(Unknown Source)
        at org.eclipse.core.launcher.Main.getDevPath(Unknown Source)
        at org.eclipse.core.launcher.Main.getBootPath(Unknown Source)
        at org.eclipse.core.launcher.Main.basicRun(Unknown Source)
        at org.eclipse.core.launcher.Main.run(Unknown Source)
        at org.eclipse.core.launcher.Main.main(Unknown Source)

Eric Simpson <esimpson@...>
Sent by: wdsci-l-bounces@...
03/05/2009 07:33 AM
Please respond to Websphere Development Studio Client for iSeries 

        To:     wdsci-l@...
        cc: 
        Subject:        [WDSCI-L] WDSC/WDSC AE v7.0 Fix Pack 8 (7.0.0.8) 
is now available

Fix Pack 8 for WDSC/WDSC AE v7.0 is now available.  (There was no fix pack
7)
(Continue reading)

Buck | 5 Mar 16:43 2009
Picon

Re: WDSC/WDSC AE v7.0 Fix Pack 8 (7.0.0.8) is now available

Eric Simpson wrote:
> Fix Pack 8 for WDSC/WDSC AE v7.0 is now available.  (There was no fix pack
> 7)

Thanks Eric!  Loaded OK here.  Wiki page updated
http://wiki.midrange.com/index.php/WDSC_Fixpacks

  --buck
--

-- 
This is the Websphere Development Studio Client for iSeries  (WDSCI-L) mailing list
To post a message email: WDSCI-L@...
To subscribe, unsubscribe, or change list options,
visit: http://lists.midrange.com/mailman/listinfo/wdsci-l
or email: WDSCI-L-request@...
Before posting, please take a moment to review the archives
at http://archive.midrange.com/wdsci-l.

ron | 5 Mar 16:32 2009

Re: WDSC/WDSC AE v7.0 Fix Pack 8 (7.0.0.8) is now available


Eric,

Thanks for the information. I followed all the steps (through installation
manager) and the upgrade seemed to work fine. But even after I rebooted my
machine when I start WDSc and go to the about dialogue I see Version: 7.0.0,
Build Id: 20070202_0030. However when I drill down into Product
Configuration details I do see some components such as com.ibm.iseries.rse
at 7.0.8.v200902171040. Should the about dialogue reflect new version?

Thanks,
Ron

-----Original Message-----
From: wdsci-l-bounces@...
[mailto:wdsci-l-bounces@...]On Behalf Of Eric Simpson
Sent: Thursday, March 05, 2009 6:33 AM
To: wdsci-l@...
Subject: [WDSCI-L] WDSC/WDSC AE v7.0 Fix Pack 8 (7.0.0.8) is now
available

Fix Pack 8 for WDSC/WDSC AE v7.0 is now available.  (There was no fix pack
7)

To install the fix pack, start the IBM Installation Manager and click on
'Update Packages'.

Fix packs are cumulative.

This fix pack includes enhancements and fixes for versions 7.0.0.7 and
(Continue reading)

Buck | 5 Mar 16:50 2009
Picon

Re: 7.0.0.8 Upgrade

ron wrote:

> machine when I start WDSc and go to the about dialogue I see Version: 7.0.0,
> Build Id: 20070202_0030. However when I drill down into Product
> Configuration details I do see some components such as com.ibm.iseries.rse
> at 7.0.8.v200902171040. Should the about dialogue reflect new version?

None of my previous fix packs modified the 'About' dialogue; I always
use the instructions in the Wiki:

Start->All Programs->IBM Installation Manager->View Installed Packages
gives an XML file that has this URL: C:\Documents and Settings\All
Users\Application Data\IBM\Installation Manager\installed.xml

 IBM® WebSphere® Development Studio Client for iSeries®
 V 7.0.0.8 (7.0.0.20090225_1508)

  --buck
--

-- 
This is the Websphere Development Studio Client for iSeries  (WDSCI-L) mailing list
To post a message email: WDSCI-L@...
To subscribe, unsubscribe, or change list options,
visit: http://lists.midrange.com/mailman/listinfo/wdsci-l
or email: WDSCI-L-request@...
Before posting, please take a moment to review the archives
at http://archive.midrange.com/wdsci-l.


Gmane